<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>VariantComponent (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="VariantComponent (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/platform/base/Variant.html" title="annotation in org.gradle.platform.base"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/platform/base/VariantComponentSpec.html" title="interface in org.gradle.platform.base"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/platform/base/VariantComponent.html" target="_top">Frames</a></li>
<li><a href="VariantComponent.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.platform.base</div>
<h2 title="Interface VariantComponent" class="title">Interface VariantComponent</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../org/gradle/model/ModelElement.html" title="interface in org.gradle.model">ModelElement</a>, <a href="../../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a></dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../org/gradle/platform/base/ApplicationSpec.html" title="interface in org.gradle.platform.base">ApplicationSpec</a>, <a href="../../../../org/gradle/nativeplatform/test/cunit/CUnitTestSuiteSpec.html" title="interface in org.gradle.nativeplatform.test.cunit">CUnitTestSuiteSpec</a>, <a href="../../../../org/gradle/platform/base/GeneralComponentSpec.html" title="interface in org.gradle.platform.base">GeneralComponentSpec</a>, <a href="../../../../org/gradle/nativeplatform/test/googletest/GoogleTestTestSuiteSpec.html" title="interface in org.gradle.nativeplatform.test.googletest">GoogleTestTestSuiteSpec</a>, <a href="../../../../org/gradle/jvm/test/JUnitTestSuiteSpec.html" title="interface in org.gradle.jvm.test">JUnitTestSuiteSpec</a>, <a href="../../../../org/gradle/jvm/JvmLibrarySpec.html" title="interface in org.gradle.jvm">JvmLibrarySpec</a>, <a href="../../../../org/gradle/jvm/test/JvmTestSuiteSpec.html" title="interface in org.gradle.jvm.test">JvmTestSuiteSpec</a>, <a href="../../../../org/gradle/platform/base/LibrarySpec.html" title="interface in org.gradle.platform.base">LibrarySpec</a>, <a href="../../../../org/gradle/nativeplatform/NativeExecutableSpec.html" title="interface in org.gradle.nativeplatform">NativeExecutableSpec</a>, <a href="../../../../org/gradle/nativeplatform/NativeLibrarySpec.html" title="interface in org.gradle.nativeplatform">NativeLibrarySpec</a>, <a href="../../../../org/gradle/nativeplatform/test/NativeTestSuiteSpec.html" title="interface in org.gradle.nativeplatform.test">NativeTestSuiteSpec</a>, <a href="../../../../org/gradle/platform/base/PlatformAwareComponentSpec.html" title="interface in org.gradle.platform.base">PlatformAwareComponentSpec</a>, <a href="../../../../org/gradle/play/PlayApplicationSpec.html" title="interface in org.gradle.play">PlayApplicationSpec</a>, <a href="../../../../org/gradle/play/PlayPlatformAwareComponentSpec.html" title="interface in org.gradle.play">PlayPlatformAwareComponentSpec</a>, <a href="../../../../org/gradle/nativeplatform/TargetedNativeComponent.html" title="interface in org.gradle.nativeplatform">TargetedNativeComponent</a>, <a href="../../../../org/gradle/testing/base/TestSuiteSpec.html" title="interface in org.gradle.testing.base">TestSuiteSpec</a>, <a href="../../../../org/gradle/platform/base/VariantComponentSpec.html" title="interface in org.gradle.platform.base">VariantComponentSpec</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../org/gradle/platform/base/component/BaseComponentSpec.html" title="class in org.gradle.platform.base.component">BaseComponentSpec</a></dd>
</dl>
<hr>
<br>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">VariantComponent</span>
extends <a href="../../../../org/gradle/model/ModelElement.html" title="interface in org.gradle.model">ModelElement</a></pre>
<div class="block">A component that has one or more mutually exclusive variants.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Named">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a></h3>
<code><a href="../../../../org/gradle/api/Named.Namer.html" title="class in org.gradle.api">Named.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/platform/base/VariantComponent.html#getName()">getName</a></strong>()</code>
<div class="block">Returns the name of this element.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;? extends <a href="../../../../org/gradle/platform/base/Binary.html" title="interface in org.gradle.platform.base">Binary</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/platform/base/VariantComponent.html#getVariants()">getVariants</a></strong>()</code>
<div class="block">The variants of this component.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.model.ModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.model.<a href="../../../../org/gradle/model/ModelElement.html" title="interface in org.gradle.model">ModelElement</a></h3>
<code><a href="../../../../org/gradle/model/ModelElement.html#getDisplayName()">getDisplayName</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getVariants()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getVariants</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;? extends <a href="../../../../org/gradle/platform/base/Binary.html" title="interface in org.gradle.platform.base">Binary</a>&gt;&nbsp;getVariants()</pre>
<div class="block">The variants of this component.</div>
</li>
</ul>
<a name="getName()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getName</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getName()</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../org/gradle/model/ModelElement.html#getName()">ModelElement</a></code></strong></div>
<div class="block">Returns the name of this element. Each element has a name associated with it, that uniquely identifies the element amongst its siblings.
 Some element have their name generated or automatically assigned, and for these elements the name may not be human consumable.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/model/ModelElement.html#getName()">getName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/model/ModelElement.html" title="interface in org.gradle.model">ModelElement</a></code></dd>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/Named.html#getName()">getName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>The name. Never null.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/platform/base/Variant.html" title="annotation in org.gradle.platform.base"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/platform/base/VariantComponentSpec.html" title="interface in org.gradle.platform.base"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/platform/base/VariantComponent.html" target="_top">Frames</a></li>
<li><a href="VariantComponent.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
